<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">

		<title>reveal.js – The HTML Presentation Framework</title>

		<meta name="description" content="A framework for easily creating beautiful presentations using HTML">
		<meta name="author" content="Hakim El Hattab">

		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<link rel="stylesheet" href="dist/reset.css">
		<link rel="stylesheet" href="dist/reveal.css">
		<link rel="stylesheet" href="dist/theme/black.css" id="theme">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="plugin/highlight/monokai.css" id="highlight-theme">
	</head>

	<body>

		<div class="reveal">

			<!-- Any section element inside of this container is displayed as a slide -->
			<div class="slides">
				<section>
					<a href="https://revealjs.com">
						<img src="https://static.slid.es/reveal/logo-v1/reveal-white-text.svg" alt="reveal.js logo" style="height: 180px; margin: 0 auto 4rem auto; background: transparent;" class="demo-logo">
					</a>
					<h3>Presentation de Reveal.js</h3>
					<p>
						<small>proposée par Cedric Kadima and Mickaël Vandenbulcke <br> Sur la base de la démo Reveal.js</small>
					</p>
				</section>

				<section>
					<h2>Bonjour les vilains</h2>
					<p>
						Reveal.js vous permet de créer de superbes diaporamas interactifs en HTML. Cette présentation vous montrera des exemples de ce qu'il peut faire.
					</p>
				</section>
				<section>
					<h2>Qu'est ce que Reveal.js</h2>
					<p>
						Reveal.js est un framework de présentation HTML open source. C'est un outil qui permet à toute personne disposant d'un navigateur Web de créer gratuitement des présentations complètes et magnifiques.
					</p>
				</section>
				<section>
					<p>
						Contrairement à d'autres modèles de présentation, l'avantage principale est de n'avoir besoin que d'un navigateur web pour l'afficher et d'un simple éditeur de texte pour le modifier.
On peut utiliser une présentation en local ou la déposer sur un serveur, qui sera disponible comme n'importe quelle page web.
On retrouve globalement les mêmes fonctions de bases que pour une présentation Impress avec LibreOffice.
					</p>
				</section>
				<section>
					<h2>Quelques exemples</h2>
					<p>
						Attention ca vend du rêve......
					</p>
				</section>
				

				<!-- Example of nested vertical slides -->
				<section>
					<section>
						<h2>Slides Verticales </h2>
						<p>Les diapositives peuvent être imbriquées les unes dans les autres.</p>
						<p>Utilisez la touche<em>ESpace</em> pour parcourir toutes les diapositives.</p>
						<br>
						<a href="#" class="navigate-down">
							<img class="r-frame" style="background: rgba(255,255,255,0.1);" width="178" height="238" data-src="https://static.slid.es/reveal/arrow.png" alt="Down arrow">
						</a>
					</section>
					<section>
						<h2>SOUS-SOL NIVEAU 1</h2>
						<p>Les diapositives imbriquées sont utiles pour ajouter des détails supplémentaires sous une diapositive horizontale de haut niveau.</p>
					</section>
					<section>
						<h2>SOUS-SOL NIVEAU 2</h2>
						<p>Il est temps de remonter ;)</p>
						<br>
						<a href="#/2">
							<img class="r-frame" style="background: rgba(255,255,255,0.1); transform: rotate(180deg);" width="178" height="238" data-src="https://static.slid.es/reveal/arrow.png" alt="Up arrow">
						</a>
					</section>
				</section>

				

				<section data-auto-animate>
					<h2 data-id="code-title">On peut mettre des animations !</h2>
					<p>Idéal pour decomposer un code....</p>
					<pre data-id="code-animation"><code class="hljs" data-trim data-line-numbers="|4,8-11|17|22-24">
						import React, { useState } from 'react';

						function Example() {
						  const [count, setCount] = useState(0);

						  return (
						    &lt;div&gt;
						      &lt;p&gt;You clicked {count} times&lt;/p&gt;
						      &lt;button onClick={() =&gt; setCount(count + 1)}&gt;
						        Click me
						      &lt;/button&gt;
						    &lt;/div&gt;
						  );
						}

						function SecondExample() {
						  const [count, setCount] = useState(0);

						  return (
						    &lt;div&gt;
						      &lt;p&gt;You clicked {count} times&lt;/p&gt;
						      &lt;button onClick={() =&gt; setCount(count + 1)}&gt;
						        Click me
						      &lt;/button&gt;
						    &lt;/div&gt;
						  );
						}
					</code></pre>
				</section>

				<section>
					<h2>POINT DE VUE</h2>
					<p>
						Appuyez sur  <strong>ESC</strong> pour avoir l’aperçu des diapositives.
					</p>
					<p>
						Maintenez la touche <strong>alt</strong> (<strong>ctrl</strong> sur Linux) et cliquez sur n’importe quel élément pour zoomer en utilisant zoom.js. Cliquez à nouveau pour dézoomer. <a href="http://lab.hakim.se/zoom-js">zoom.js .</a>
					</p>
					
				</section>

				<section data-auto-animate data-auto-animate-easing="cubic-bezier(0.770, 0.000, 0.175, 1.000)">
					<h2>Animation automatique</h2>
					<p>Animez automatiquement les éléments correspondants à travers les diapositives avec  <a href="https://revealjs.com/auto-animate/">Auto-animate.</a>.</p>
					<div class="r-hstack justify-center">
						<div data-id="box1" style="background: #999; width: 50px; height: 50px; margin: 10px; border-radius: 5px;"></div>
						<div data-id="box2" style="background: #999; width: 50px; height: 50px; margin: 10px; border-radius: 5px;"></div>
						<div data-id="box3" style="background: #999; width: 50px; height: 50px; margin: 10px; border-radius: 5px;"></div>
					</div>
				</section>
				<section data-auto-animate data-auto-animate-easing="cubic-bezier(0.770, 0.000, 0.175, 1.000)">
					<div class="r-hstack justify-center">
						<div data-id="box1" data-auto-animate-delay="0" style="background: cyan; width: 150px; height: 100px; margin: 10px;"></div>
						<div data-id="box2" data-auto-animate-delay="0.1" style="background: magenta; width: 150px; height: 100px; margin: 10px;"></div>
						<div data-id="box3" data-auto-animate-delay="0.2" style="background: yellow; width: 150px; height: 100px; margin: 10px;"></div>
					</div>
					<h2 style="margin-top: 20px;">Auto-Animate</h2>
				</section>
				<section data-auto-animate data-auto-animate-easing="cubic-bezier(0.770, 0.000, 0.175, 1.000)">
					<div class="r-stack">
						<div data-id="box1" style="background: cyan; width: 300px; height: 300px; border-radius: 200px;"></div>
						<div data-id="box2" style="background: magenta; width: 200px; height: 200px; border-radius: 200px;"></div>
						<div data-id="box3" style="background: yellow; width: 100px; height: 100px; border-radius: 200px;"></div>
					</div>
					<h2 style="margin-top: 20px;">Auto-Animate</h2>
				</section>

				<section>
					<h2>Optimisation tactile</h2>
					<p>
						Les présentations sont superbes sur les appareils tactiles, comme les téléphones mobiles et les tablettes. Il suffit de glisser dans vos diapositives.
					</p>
				</section>

				<section>
					
					<p>
						Il existe un tas d'autre possibilité, comme mettre une video en background, un gif, faire de l'export en PDF etc..... 
					</p>
				</section>
				
				<section>
					
					<p>
						Cette présentation de Reveal.js à été faites sur la base de la démo fournit par Reveal.js. Il aura suffit de changer le contenu....
					</p>
				</section>

			

				

				

			</div>

		</div>

		<script src="dist/reveal.js"></script>
		<script src="plugin/zoom/zoom.js"></script>
		<script src="plugin/notes/notes.js"></script>
		<script src="plugin/search/search.js"></script>
		<script src="plugin/markdown/markdown.js"></script>
		<script src="plugin/highlight/highlight.js"></script>
		<script>

			// Also available as an ES module, see:
			// https://revealjs.com/initialization/
			Reveal.initialize({
				controls: true,
				progress: true,
				center: true,
				hash: true,

				// Learn about plugins: https://revealjs.com/plugins/
				plugins: [ RevealZoom, RevealNotes, RevealSearch, RevealMarkdown, RevealHighlight ]
			});

		</script>

	</body>
</html>
